<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        DB::table('airlines')
            ->where('IATA_code', 'CM')
            ->where(function($query) {
                $query->whereNull('ICAO_code')
                    ->orWhere('ICAO_code', '');
            })
            ->update(['logo' => null]);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        DB::table('airlines')
            ->where('IATA_code', 'CM')
            ->where(function($query) {
                $query->whereNull('ICAO_code')
                    ->orWhere('ICAO_code', '');
            })
            ->update(['logo' => 'CM.png']);
    }
};
